
/**
 * Object class. An instance represents a DIRECTED arc
 * @author czhihao
 *
 */
class Arc {
	
	int origin;			//origin index of arc
	int destination;	//destination index of arc
	double capCost;		//unit capacity cost of arc
	double flowCost;	//unit flow cost of arc

	Arc(int origin_,int destination_,double capCost_,double flowCost_) {
		origin = origin_;
		destination = destination_;
		capCost = Main.capCostFactor*capCost_;
		flowCost = Main.flowCostFactor*flowCost_;
	}
	/**
	 * Returns the arc as a string of the form "<origin>-><destination>".
	 */
	String asString() {
		return String.format("%s->%s",origin,destination);
	}
	
}
