import java.io.File;

/**
 * Static helper class. Creates a new folder.
 * @author Zhihao
 *
 */
public class NewFolder {
	/**
	 * Creates a new folder at the given path. Will throw an exception if any of the parent directories in the path do not exist
	 */
	public static void create(String path) {
		File f = new File(path);
		try{
			if(f.mkdir()) {
				System.out.println("Directory \""+path+"\" created");
			} else {
				//System.out.println("Directory \""+path+"\" not created");
			}
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
}
