import java.util.LinkedList;
import java.util.List;
/**
 * Object class. An instance represents a node in a network.
 * @author Zhihao
 *
 */
class Node {
	
	static final int SUPPLY = 1;
	static final int TRANSIT = 0;
	static final int DEMAND = -1;
	
	String name;										//name of node
	int type;											//type of node
	double penalty;										//penalty of node (relevant to demand nodes only)
	List<Integer> arcsIn = new LinkedList<Integer>();	//indices of arcs leading into node
	List<Integer> arcsOut = new LinkedList<Integer>();	//indices of arcs leading out of node

	Node(String name_,int type_,double penalty_) {
		name = name_;
		type = type_;
		penalty = Main.penaltyFactor*penalty_;
	}
}
